Index: npl/overig/powertop/powertop.SlackBuild
===================================================================
--- npl/overig/powertop/powertop.SlackBuild	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/overig/powertop/powertop.SlackBuild	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,28 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/ap/powertop/
+# Created at Thu Jan 19 14:48:35 CET 2017
+
+#DEP:libnl
+#DEP:ncurses
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./powertop.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/overig/powertop/powertop.SlackBuild.orig
===================================================================
--- npl/overig/powertop/powertop.SlackBuild.orig	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/overig/powertop/powertop.SlackBuild.orig	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,131 @@
+#!/bin/sh
+
+# Copyright 2010, 2012  Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Willy Sudiarto Raharjo
+# Changelog
+# May, 11 : Bumped to 2.0, Fix compilation process, Added patch to fix complaints about a file
+# May, 18 : Rebuilt, removed non-existence directory for man pages
+
+PKGNAM=powertop
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \; -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \;
+
+LDFLAGS=" -lresolv -lz " \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --mandir=/usr/man \
+  --docdir=/usr/doc/$PRGNAM-$VERSION \
+  --build=$ARCH-slackware-linux || exit 1
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+  ( cd $PKG/usr/man
+    for manpagedir in $(find . -type d -name "man*") ; do
+      ( cd $manpagedir
+        for eachpage in $( find . -type l -maxdepth 1) ; do
+          ln -s $( readlink $eachpage ).gz $eachpage.gz
+          rm $eachpage
+        done
+        gzip -9 *.?
+      )
+    done
+  )
+fi
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+  COPYING* README* TODO \
+  $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/overig/powertop/powertop.arch
===================================================================
--- npl/overig/powertop/powertop.arch	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/overig/powertop/powertop.arch	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/powertop/powertop.build
===================================================================
--- npl/overig/powertop/powertop.build	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/overig/powertop/powertop.build	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/powertop/powertop.depver
===================================================================
--- npl/overig/powertop/powertop.depver	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/overig/powertop/powertop.depver	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,2 @@
+libnl	1
+ncurses	0
Index: npl/overig/powertop/powertop.md5
===================================================================
--- npl/overig/powertop/powertop.md5	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/overig/powertop/powertop.md5	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,7 @@
+17e190f7aeefe06a88e6c4ece1cef4d2  ./powertop-2.8.tar.xz
+0ed7285a77a88f2cf882eb8c1c54ec92  ./powertop_dev.pkg
+f47406af74b4f96dfab975eda6c03de6  ./powertop.pkg
+5251657d32f1ae5f2cf18a579fa3a781  ./powertop.SlackBuild
+0b77efd42ce3812a5ba03e837fc1ab27  ./powertop.SlackBuild.log.gz
+69044a46d3a5d9c17055bd8de5a55e50  ./powertop.SlackBuild.orig
+776c436f9c91414f8a23d68696aa5337  ./slack-desc
Index: npl/overig/powertop/powertop.version
===================================================================
--- npl/overig/powertop/powertop.version	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/overig/powertop/powertop.version	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,1 @@
+2.8
Index: npl/overig/powertop/powertop_dev.arch
===================================================================
--- npl/overig/powertop/powertop_dev.arch	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/overig/powertop/powertop_dev.arch	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/powertop/powertop_dev.build
===================================================================
--- npl/overig/powertop/powertop_dev.build	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/overig/powertop/powertop_dev.build	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/powertop/powertop_dev.version
===================================================================
--- npl/overig/powertop/powertop_dev.version	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/overig/powertop/powertop_dev.version	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,1 @@
+2.8
Index: npl/overig/powertop/slack-desc
===================================================================
--- npl/overig/powertop/slack-desc	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/overig/powertop/slack-desc	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+        |-----handy-ruler------------------------------------------------------|
+powertop: powertop (tool for analyzing system power usage)
+powertop:
+powertop: PowerTOP is a utility that collects data from your system and presents
+powertop: an overview to help optimize power savings.  PowerTOP will identify
+powertop: which tunables and software components are the biggest offenders in
+powertop: slurping up your battery time.  PowerTOP updates its display
+powertop: frequently so that you can directly see the impact of any changes you
+powertop: are making.
+powertop:
+powertop: Homepage:  http://01.org/powertop/
+powertop:
